## netsniff-ng 0.5.4.2

=== src/Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 NAME             = netsniff-ng
 OBJECTS          = netsniff-ng.o
 
-BINDIR           = sbin
+BINDIR           = usr/sbin
 ETCDIR           = etc
 MANDIR           = usr/share/man/man8
 MANDIR_LOCAL     = doc
