=== src/lib/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 INCLUDE          = -I../include
 CFLAGS           = -Wall -O2
 
-OBJECTS          = bpf_code.o export.o misc.o print.o rx_ring.o system.o
+OBJECTS          = bpf.o export.o misc.o print.o rx_ring.o system.o
 
 all: lib
