=== debian/changelog ===
netsniff-ng (0.5.5.0-3) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 3.9.2
    + Fixed short description synopsis
  * debian/copyright:
    + Updated for DEP-5 format specification
  * Added patch to fix spelling mistake in manpage

 -- Kartik Mistry <kartik@debian.org>  Mon, 30 May 2011 08:49:15 +0530

netsniff-ng (0.5.5.0-2) unstable; urgency=low

  * Upload to unstable
  * debian/control:
    + Added armhf support, closes wishlist bug. Closes: #604540
    + Excluded non-linux systems in architectures
    + Added Kartik as Uploader

 -- Daniel Borkmann <danborkmann@googlemail.com>  Mon, 07 Feb 2011 16:26:17 +0200

netsniff-ng (0.5.5.0-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Updated to new standards version 3.9.1
    + Updated description
  * debian/watch:
    + Updated URL to public directory of netsniff-ngs website
  * Switch to dpkg-source 3.0 (quilt) format

 -- Daniel Borkmann <danborkmann@googlemail.com>  Sun, 10 Oct 2010 12:57:11 +0200

netsniff-ng (0.5.4.2-1) unstable; urgency=low

  * Another minor upstream release with fixes within the ring traversal
    method (packet look-ahead on the receive ring) and some basic BPF 
    filter check.
  * Changed installation path from /sbin into /usr/sbin
  * debian/control:
    + Updated to new standards version 3.8.4
    + Added ${misc:Depends} in order to fix the 'debhelper-but-no-misc-depends' 
      warning

 -- Daniel Borkmann <danborkmann@googlemail.com>  Sun, 14 Feb 2010 13:58:40 +0200

netsniff-ng (0.5.4.1-1) unstable; urgency=medium

  * New (minor) upstream release with security fix in netsniff-ng.c:
    A memset with a 4 Byte length overhead on 32-Bit systems could 
    run into a possible buffer overflow. Relevant sections have been fixed.
  * debian/control:
    + Changed architecture, because netsniff-ng is not written for 
      non-linux archs as kfreebsd-*

 -- Daniel Borkmann <danborkmann@googlemail.com>  Sat, 02 Jan 2010 11:18:03 +0200

netsniff-ng (0.5.4.0-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Corrected package description
  * debian/watchfile:
    + Changed URL to watch for, because the googlecode site denies access, 
      mirrored tarball archive at htwk-leipzig.de

 -- Daniel Borkmann <danborkmann@googlemail.com>  Fri, 01 Jan 2010 19:07:23 +0200

netsniff-ng (0.5.3.1-1) unstable; urgency=low

  * Initial release for Debian, closes ITP bug. Closes: #561528

 -- Daniel Borkmann <danborkmann@googlemail.com>  Thu, 17 Dec 2009 22:55:51 +0200
