=== debian/control ===
Source: netsniff-ng
Section: net
Priority: optional
Maintainer: Daniel Borkmann <danborkmann@googlemail.com>
Uploaders: Kartik Mistry <kartik@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7)
Homepage: http://www.netsniff-ng.org/

Package: netsniff-ng
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: packet sniffing beast
 netsniff-ng is a high performance Linux network sniffer for packet inspection.
 It can be used for protocol analysis, reverse engineering or network
 debugging. The gain of performance is reached by 'zero-copy' mechanisms, so
 that the kernel does not need to copy packets from kernelspace to userspace.
