=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for netsniff-ng
# by Daniel Borkmann

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	cd src; $(MAKE) DESTDIR=$(CURDIR)/debian/netsniff-ng all
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	cd src; $(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	cd src; $(MAKE) install DESTDIR=$(CURDIR)/debian/netsniff-ng

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install
