=== src/ifpps/CMakeLists.txt ===
PROJECT(ifpps C)

SET(BUILD_STRING "generic")

FIND_PACKAGE(Curses)
INCLUDE(Pod2Man)

IF(CURSES_FOUND)
	ADD_EXECUTABLE(${PROJECT_NAME}	../xmalloc.c
					../xio.c
					../xutils.c
					../ifpps.c)
	ADD_DEFINITIONS(-DPROGNAME_STRING="${PROJECT_NAME}"
			-DVERSION_STRING="${VERSION}"
			-DBUILD_STRING="${BUILD_STRING}")
	TARGET_LINK_LIBRARIES(ifpps ${CURSES_NCURSES_LIBRARY})
	POD2MAN(${CMAKE_SOURCE_DIR}/ifpps.c ifpps 8)
	INSTALL(TARGETS ${PROJECT_NAME} DESTINATION ${EXECUTABLE_INSTALL_PATH})
ELSE(CURSES_FOUND)
	MESSAGE("ncurses is missing on target. Skipping ${PROJECT_NAME} build.")
ENDIF(CURSES_FOUND)
