=== debian/changelog ===
netsniff-ng (0.5.7-1) unstable; urgency=low

  * New upstream release
  * debian/copyright:
    + License is GPL-2, not GPL-2+
  * debian/control:
    + Added Build-Depends: libcli-dev, libnl-dev for trafgen, netsniff-ng
      binaries.
    + Updated maintainer email address.
  * debian/patches/cflags_notune.patch:
    + Added patch to fix CFLAGS from upstream.
  * debian/docs:
    + Removed THANKS, not provided by upstream now.
  * debian/rules:
    + Provides upstream changelogs.

 -- Kartik Mistry <kartik@debian.org>  Sat, 30 Jun 2012 11:52:47 +0530

netsniff-ng (0.5.6-2) unstable; urgency=low

  * debian/control:
    + Set archs to: i386, amd64, powerpc and sparc only as dependencies are not
      available or missing on other than these archs.
    + Added Recommends: ntp. Thanks to Carlos Alberto Lopez Perez
      <clopez@igalia.com>.
    + Build-Depends on libncurses5-dev for missing flowtop and ifpps binaries.
  * debian/copyright:
    + Removed duplicate copyright fields.
    + Added Debian packaging copyright section.
  * Added hardening support.

 -- Kartik Mistry <kartik@debian.org>  Thu, 21 Jun 2012 16:36:41 +0530

netsniff-ng (0.5.6-1) unstable; urgency=low

  * New upstream release (Closes: #667609)
  * debian/patches:
    + 01_manpage_fix.diff: Removed, merge upstream.
    + nacl_path_fix: Added patch to fix Nacl header and library paths.
    + manpage_path.patch: Added patch to fix manpage installation path from
      upstream.
  * debian/rules:
    + Upstream moved to CMake. Changes related to it.
    + Added missing build targets.
  * debian/control:
    + Added Build-Deps needed for CMake build system and libs.
    + Updated Standards-Version to 3.9.3
    + Updated long description.
  * debian/copyright:
    + Updated to copyright-format 1.0
    + Updated copyright for some files.
  * debian/docs:
    + Updated as per upstream changes.

 -- Kartik Mistry <kartik@debian.org>  Sun, 01 Apr 2012 11:05:41 +0530
