=== debian/control ===
Source: netsniff-ng
Section: net
Priority: optional
Build-Depends: bison,
               cmake,
               debhelper (>= 7),
               dpkg-dev (>= 1.16.1~),
               flex,
               libcli-dev,
               libgeoip-dev,
               libnacl-dev,
               libncurses5-dev,
               libnetfilter-conntrack-dev,
               libnl-dev,
               liburcu-dev
Maintainer: Daniel Borkmann <daniel@netsniff-ng.org>
Uploaders: Kartik Mistry <kartik@debian.org>
Standards-Version: 3.9.3
Homepage: http://www.netsniff-ng.org/

Package: netsniff-ng
Architecture: amd64 i386 powerpc sparc
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ntp
Description: packet sniffing beast
 netsniff-ng is a high performance Linux network sniffer for packet inspection.
 It can be used for protocol analysis, reverse engineering or network
 debugging. The gain of performance is reached by 'zero-copy' mechanisms, so
 that the kernel does not need to copy packets from kernelspace to userspace.
 .
 netsniff-ng toolkit currently consists of the following utilities:
 .
  * netsniff-ng: the zero-copy sniffer, pcap capturer and replayer itself.
  * trafgen: a high performance zero-copy network packet generator.
  * ifpps: a top-like kernel networking and system statistics tool.
  * curvetun: a lightweight curve25519-based multiuser IP tunnel.
  * ashunt: an autonomous system trace route and ISP testing utility.
  * flowtop: a top-like netfilter connection tracking tool.
  * bpfc: a tiny Berkeley Packet Filter compiler supporting Linux extensions.
