=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for netsniff-ng
# by Daniel Borkmann

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	mkdir -p src/build; cd src/build; \
	cmake -DCMAKE_INSTALL_PREFIX=/usr ..; \
	$(MAKE) DESTDIR=$(CURDIR)/debian/netsniff-ng all
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf src/build
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	cd src/build; $(MAKE) install DESTDIR=$(CURDIR)/debian/netsniff-ng

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installchangelogs -k Documentation/RelNotes/Notes-0.5.7
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
