=== debian/watch ===
version=3
opts=dversionmangle=s/~// \
 http://www.netsniff-ng.org/pub/netsniff-ng/netsniff-ng-(.*)\.tar\.gz
