=== debian/changelog ===
netsniff-ng (0.5.8-2build1) utopic; urgency=medium

  * No-change rebuild against liburcu2.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 10 Jul 2014 05:51:11 +0000

netsniff-ng (0.5.8-2) unstable; urgency=low

  * debian/control:
    + Replaced ashunt with astraceroute in long description.
  * Updated debian/watch file.

 -- Kartik Mistry <kartik@debian.org>  Thu, 01 May 2014 14:54:51 +0530

netsniff-ng (0.5.8-1) unstable; urgency=low

  * New upstream release:
    + Dropped all patches. Merged upstream.
  * Uploaded to unstable.
  * debian/control:
    + Updated short description (Closes: #741997)
    + Added mausezahn in long description.
    + Added Tobias Klauser as Uploaders.
  * debian/rules:
    + Fixed installation as per upstream changes.
    + Removed unused dh_installexamples

 -- Kartik Mistry <kartik@debian.org>  Wed, 30 Apr 2014 21:12:59 +0530

netsniff-ng (0.5.8~rc5-2) experimental; urgency=low

  * debian/control:
    + Updated Daniel Borkmann's email address (Closes: #741327)
  * debian/rules:
    + Do not add PREFIX in make.
    + Do not remove config.h file in clean target.

 -- Kartik Mistry <kartik@debian.org>  Tue, 11 Mar 2014 16:12:59 +0530

netsniff-ng (0.5.8~rc5-1) experimental; urgency=low

  * New upstream RC release:
    + Removed patches merged in upstream.
    + Updated manpage_fix patch.
  * debian/control:
    + Added VCS-* fields.
    + Enabled ia64 and mips archs as liburcu-dev supports them now.
    + Updated build-depends to libnl-3-dev (Closes: #688171)
    + Updated Standards-Version to 3.9.5
  * debian/rules:
    + Fixed clean target.
    + Fixed hardening support.
  * debian/docs:
    + Documentation/ folder no longer exists.
  * Updated debian/watch file.

 -- Kartik Mistry <kartik@debian.org>  Mon, 10 Mar 2014 18:28:13 +0530
